# Class TCefResourceBundleRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFResourceBundle

## Declaration

`type TCefResourceBundleRef = class(TCefBaseRefCountedRef, ICefResourceBundle)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefResourceBundleRef

## Overview

### Methods

| `function GetLocalizedString(stringId: Integer): ustring;`
| `function GetDataResource(resourceId: Integer): ICefBinaryValue;`
| `function GetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor): ICefBinaryValue;`
| `class function UnWrap(data: Pointer): ICefResourceBundle;`
| `class function Global: ICefResourceBundle;`

## Description

### Methods

| `function GetLocalizedString(stringId: Integer): ustring;`
This item has no description. Showing description inherited from ICefResourceBundle.GetLocalizedString. Returns the localized string for the specified |string_id| or an NULL string if the value is not found. Use the cef_id_for_pack_string_name() function for version-safe mapping of string IDS names from cef_pack_strings.h to version-specific numerical |string_id| values.

| `function GetDataResource(resourceId: Integer): ICefBinaryValue;`
This item has no description. Showing description inherited from ICefResourceBundle.GetDataResource. Returns a cef_binary_value_t containing the decompressed contents of the specified scale independent |resource_id| or NULL if not found. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.

| `function GetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor): ICefBinaryValue;`
This item has no description. Showing description inherited from ICefResourceBundle.GetDataResourceForScale. Returns a cef_binary_value_t containing the decompressed contents of the specified |resource_id| nearest the scale factor |scale_factor| or NULL if not found. Use a |scale_factor| value of SCALE_FACTOR_NONE for scale independent resources or call GetDataResource instead. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.

| `class function UnWrap(data: Pointer): ICefResourceBundle;`
This item has no description.

| `class function Global: ICefResourceBundle;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.